VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 7
声望: 0
下载VeighNa源代码到本地之后,解压并执行一键安装,其过程整体分为3步:下载安装ta-lib库;安装requirements.txt文件内的相关依赖库;安装VeighNa本身。
我的问题是:
由于电脑系统等诸方面的原因,执行 "一键安装" 可能也会出现这样那样的错误,那么我可以先行手动安装好指定的各种依赖库,再自行安装 “VeighNa” 本身,这样是麻烦了一点,但只要能解决问题就好。所以请哪位大神指点一下,如何单独 “安装VeighNa本身”!
Super Moderator
avatar
加入于:
帖子: 658
声望: 50

进入源码包文件夹,终端运行python -m pip install .

Member
avatar
加入于:
帖子: 7
声望: 0

谢谢您。之前我自己也是这样安装出错,不知道是不是和我单独安装时有的依赖库版本与要求的版本号不一致有关:

      from .qt import QtCore, QtWidgets, QtGui, Qt, create_qapp
  ModuleNotFoundError: No module named 'vnpy.qt'
  [end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

【好象不能直接从网上 "pip install vn.py"】

Super Moderator
avatar
加入于:
帖子: 658
声望: 50

要在setup.py的同级目录运行,或者pip install vnpy

Member
avatar
加入于:
帖子: 7
声望: 0

😊 ”pip install vnpy“ 解决!之前担心”pip install vnpy“ 会是下载安装别人家的,所以没敢乱尝试,只试了一下 ”pip install vn.py“。还好,挺好的!也感谢您的耐心帮助!

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】